package com.goafanti.banners.enums;

import java.util.HashMap;
import java.util.Map;

public enum BannersType {
	SHOU_YE("SHOU_YE", "首页广告图"),
	JI_SHU_JIAO_YI("JI_SHU_JIAO_YI", "技术交易首页广告图"),
	DA_KA_SHUO_1("DA_KA_SHUO_1", "大咖说头部广告图"),
	DA_KA_SHUO_2("DA_KA_SHUO_2", "大咖说明星广告图"),
	DA_KA_SHUO_3("DA_KA_SHUO_3", "大咖说活动广告图"),
	KE_JI_MING_XING("KE_JI_MING_XING", "科技明星广告图"),
	KE_JI_JIANG_TANG("KE_JI_JIANG_TANG", "科技讲堂广告图"),
	HUO_DONG_QUAN("HUO_DONG_QUAN", "活动圈广告图"),
	HUO_DONG_XIANG_QING("HUO_DONG_XIANG_QING", "活动详情广告图"),
	JIAN_SHE_BING_TUAN("JIAN_SHE_BING_TUAN", "建设兵团广告图"),
	GUO_JI_YE_WU("GUO_JI_YE_WU", "国际业务广告图"),
	FU_WU_HUI("FU_WU_HUI", "服务汇首页广告图"),
	GAO_QI_REN_DING("GAO_QI_REN_DING", "高企认定广告图"),
	ZHI_SHI_CHAN_QUAN_FU_WU("ZHI_SHI_CHAN_QUAN_FU_WU", "知识产权服务广告图"),
	ZHI_SHI_CHAN_QUAN_SHEN_QING("ZHI_SHI_CHAN_QUAN_SHEN_QING", "知识产权申请广告图"),
	ZHUAN_LI_YUN_YING("ZHUAN_LI_YUN_YING", "专利运营广告图"),
	ZHI_SHI_CHAN_QUAN_GUAN_BIAO("ZHI_SHI_CHAN_QUAN_GUAN_BIAO", "知识产权贯标广告图"),
	JI_SHU_PING_GU("JI_SHU_PING_GU", "技术评估广告图"),
	CE_YUAN_DI("CE_YUAN_DI", "策源地广告图"),
	CHUANG_YE_QUAN("CHUANG_YE_QUAN", "创业圈广告图"),
	APP("APP", "APP首页广告图"),
	JIN_RONG_QUAN("JIN_RONG_QUAN", "金融圈广告图");

	private String							key;
	private String							desc;

	private static Map<String, BannersType>	types	= new HashMap<String, BannersType>();

	private BannersType(String code, String desc) {
		this.key = code;
		this.desc = desc;
	}

	static {
		for (BannersType value : BannersType.values()) {
			types.put(value.getKey(), value);
		}
	}

	public static BannersType getField(String code) {
		return types.get(code);
	}

	public static boolean containsType(String code) {
		return types.containsKey(code);
	}

	public String getKey() {
		return key;
	}

	public String getDesc() {
		return desc;
	}

}
